from pydantic_settings import BaseSettings

class Settings(BaseSettings):
    API_V1_STR: str = "/api/v1"
    PROJECT_NAME: str = "Quick API Service"
    
    # Set environment variables if needed
    # DATABASE_URL: str = os.environ.get("DATABASE_URL", "sqlite:///./app.db")
    
    class Config:
        env_file = ".env"

settings = Settings()